﻿using System;
using UnityEngine;

namespace Assets.Scripts.API
{
	[System.Serializable]
	public class Score
	{
		public string playerName;
		public string team;
		public int score;
		public DateTime date;
	    public string _id;

	    public static Score CreateFromJson(string json)
	    {
	        return JsonUtility.FromJson<Score>(json);
	    }

	    public override string ToString()
	    {
	        return string.Format("PlayerName: {0}, Team: {1}, Score: {2}, Date: {3}, Id: {4}", playerName, team, score, date, _id);
	    }
	}
}

